// AnnotateDlg.cpp : implementation file
//

#include "stdafx.h"
#include "rootfly.h"
#include "AnnotateDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAnnotateDlg dialog


CAnnotateDlg::CAnnotateDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CAnnotateDlg::IDD, pParent)
{
	m_check_autocopy = TRUE;
	m_check_autodetect = TRUE;
}

// Secondary constructor (the one that will be used most often)
CAnnotateDlg::CAnnotateDlg(CWnd* pParent, BOOL blnAutoCopy, BOOL blnAutoDetect)
	: CDialog(CAnnotateDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAnnotateDlg)
	m_check_autocopy = blnAutoCopy;
	m_check_autodetect = blnAutoDetect;
	//}}AFX_DATA_INIT
}


void CAnnotateDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAnnotateDlg)
	DDX_Check(pDX, IDC_CHECK_Autocopy, m_check_autocopy);
	DDX_Check(pDX, IDC_CHECK_Autodetect, m_check_autodetect);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAnnotateDlg, CDialog)
	//{{AFX_MSG_MAP(CAnnotateDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAnnotateDlg message handlers

// Accessor function for retrieving m_check_autocopy member variable
// (even though this variable is public)
BOOL CAnnotateDlg::Get_autocopy_Value()
{
	return m_check_autocopy;
}

// Accessor function for retrieving m_check_autodetect member variable
// (even though this variable is public)
BOOL CAnnotateDlg::Get_autodetect_Value()
{
	return m_check_autodetect;
}
